
// A plurk qualifier enum.
enum ResponseQualifier {
  None,     //:
  Plays,
  Buys,
  Sells,
  Loves,
  Likes,
  Shares,
  Hates,
  Wants,
  Wishes,
  Needs,
  Has,
  Will,
  Hopes,
  Asks,
  Wonders,
  Feels,
  Thinks,
  Draws,
  Is,
  Says,
  Eats,
  Writes
}

enum PlurkQualifier {
  None,     //:
  Plays,
  Buys,
  Sells,
  Loves,
  Likes,
  Shares,
  Hates,
  Wants,
  Wishes,
  Needs,
  Has,
  Will,
  Hopes,
  Asks,
  Wonders,
  Feels,
  Thinks,
  Draws,
  Is,
  Says,
  Eats,
  Writes,
  Whispers,
}

// If a plurk is commentable.
enum Comment {
  Allow,
  DisableComment,
  FriendsOnly
}

enum PlurkFilter {
  my,
  responded,
  private,
  favorite,
  replurked,
  mentioned
}

// UserUpdate Privacy.
enum Privacy { world, only_friends }